Bug 15439 - finger and w show numerical IPs instead of hosts
finger and w show numerical IPs instead of hosts
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Depends On:
  Show dependency treegraph
Reported: 2000-08-04 15:23 EDT by Christian Rose
Modified: 2008-05-01 11:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-25 09:18:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/etc/hosts (266 bytes, text/plain)
2000-08-04 15:23 EDT, Christian Rose
no flags Details
/etc/host.conf (17 bytes, text/plain)
2000-08-04 15:32 EDT, Christian Rose
no flags Details

  None (edit)
Description Christian Rose 2000-08-04 15:23:15 EDT
finger and w show numerical IPs instead of hosts on my system, when logging
in on this machine from other hosts.
This system is on a private net so I can't try to log in from a
DNS-resolvable host, but I think my /etc/hosts file is ok. I'll attach it

Could this be a bug in glibc?
Comment 1 Christian Rose 2000-08-04 15:23:47 EDT
Created attachment 2035 [details]
Comment 2 Christian Rose 2000-08-04 15:32:27 EDT
Created attachment 2036 [details]
Comment 3 Pekka Savola 2000-08-07 03:33:38 EDT
What are you using to log on?   If I use openssh (from redhat.de) to with
'UseLogin Yes' enabled, entries in 'w' show numerically too.  With UseLogin No,
it works fine.

This might be a problem in login.

Comment 4 Christian Rose 2000-08-07 05:13:24 EDT
I too use openssh from redhat.de with the default settings (e.g. UseLogin yes).
I tested it with "no" and then I also get a host instead of an IP.

Moving this to "util-linux", the package containing /bin/login.
Comment 5 Tim Waugh 2000-08-07 10:22:14 EDT
ssh (as opposed to openssh) does not show this behaviour.
Comment 6 Pekka Savola 2000-08-08 14:19:06 EDT
This is probably partly an OpenSSH problem, because FreeBSD-4.1's login also
shows this (actually worse) behaviour.

There are some other issues regarding UseLogin and OpenSSH, but I don't think
this forum should be used for them (possible legal issues?)
Comment 7 Pekka Savola 2000-08-09 04:34:32 EDT
This difference of ssh vs openssh is that ssh probably passes the user's source
address as a hostname to login, not as an IP address as openssh does.  This is
deliberate (IP addresses are
more reliable in ways).

Should login(1) do some resolving of its own if necessary ?
Comment 8 Jeff Johnson 2000-10-09 13:18:07 EDT
My guess is that hostnames only should be passed to login, as tying login
into gethostbyaddr et al needlessly exposes login to more libraries with the
of exploits, as well as further complicating a critical piece of code. The real
is simply the utmp handling for a login process, and what should be put in the
host field.

Marking DEFERRED to collect other opinions.
Comment 9 Pekka Savola 2000-10-09 13:26:44 EDT
I tend to agree.  This also might create some timeouts and other problems 
if your DNS server isn't responding at the time you're logging in w/ SSH, 
telnet or whatever...

Note You need to log in before you can comment on or make changes to this bug.